Subject: RE: FW: [Isis-wg] I-D ACTION:draft-ietf-isis-interoperable-00.txt

From: "Don Goodspeed" <[email-masked]>
Date: Thu, 13 Jun 2002 15:50:21 -0400 (EDT)

Jeff,

Just had a chance to pore over the draft and I've got a few comments
(hope my word wrapping comes out OK):

1. Because of the different authors, the footnote references are
inconsistent.  Some sections use just the reference "In [1]", while
others use "in ISO [1]", while other make no reference to the footnote
"in ISO 10589", some are just "in ISO", while in some, there is no
reference when there should be "such-and-such is defined as a 
constant."  (should be ...as a constant in [1]).  Other place say
"The protocol".

I can either cc the WG with the list or send it directly to you.

2. In section 6.1 MaxAge, in the first line "which is set to the
MaxAge of the generating IS", should this be:
  "which is initially set to the MaxAge value on the generating IS" ?

3. Also in section 6.1, the second sentence reads:
  "When an LSP has been in the network for RemainingLifeTime, it is 
removed ..."
Should this be:
  "... in the network for RemainingLifeTime without being regenerated 
..." ?

4. In section 7.1 ID Length, the last sentence needs a space between
notification and isisIDLenMismatch.

5. In section 8.3 Alternative Metrics, there should be blank line
after the quote from the ISO doc.

6. In section 14 The Attached Bit, in the 2nd sentence:
  "Some implementations allow the attachedFlag to be set on (ISs)
   routing IP traffic under restricted conditions, such as ..."
did we mean to say "only be set ... under restricted conditions"
or "can additionally be set" ?

Thanks,
Don

 --- On Tue 05/21, Jeff Parker  wrote:
From: Jeff Parker [mailto: [email-masked]]
To: [email-masked]
Date: Tue 05/21
Subject: FW: [Isis-wg] I-D ACTION:draft-ietf-isis-interoperable-00.txt

> A small, but very active, subgroup of the WG has been 
> working on this document for the last month.  We considered
> a larger set of issues, and decided not to pursue some.
> A brief description of those issues is included in the
> attached document, remaining.dos.  
> 
> Suggestions and edits always welcome: we are still 
> actively revising the last section, on checking the 
> Source ID on point-to-point IIH packets.
> 
> - jeff parker
> 
> > A New Internet-Draft is available from the on-line 
> > Internet-Drafts directories.
> > This draft is a work item of the IS-IS for IP Internets 
> > Working Group of the IETF.
> > 
> > 	Title		: Recommendations for Interoperable IP 
> > Networks using 
> >                           IS-IS
> > 	Author(s)	: J. Parker
> > 	Filename	: draft-ietf-isis-interoperable-00.txt
> > 	Pages		: 19
> > 	Date		: 20-May-02
> > 	
> > 'The difference between theory and practice is greater in
> > practice than it is in theory.'  (Author unknown)
> > This document discusses a number of differences between the IS-IS
> > protocol as described in ISO 10589 [1] and RFC 1195 [3] and the
> > protocol as it is deployed today.  These differences are discussed
> as
> > a service to those implementing, testing, and deploying the IS-IS
> > Protocol to route IP traffic.
> > 
> > 
> > A URL for this Internet-Draft is:
> >
> http://www.ietf.org/internet-drafts/draft-ietf-isis-interoperable-00.txt
>  
> 
> 

------------------------------------------------
Join Excite! - http://www.excite.com
The most personalized portal on the Web!
_______________________________________________
Isis-wg mailing list  -  [email-masked]
http://spider.juniper.net/mailman/listinfo/isis-wg